GPSSMOOTH(1)

NAME
GPSsmooth - send NMEA-formatted GPS data to a FlightGear instance

SYNOPSIS
GPSsmooth --help | --file file_name [--hertz hertz] [--host hostname] [--broadcast] [--fdm-port port] [--ctrls-port port]

DESCRIPTION
GPSsmooth is a utility that reads a text file containing GPS data in NMEA format, parses it and sends it to a FlightGear instance for replaying.

OPTIONS

--help
    Display usage information and exit.

--file file_name
    Read GPS data from file_name. This option is mandatory if --help is not specified.

--hertz hertz
    Specify the frequency to use for sending data to the FlightGear instance. By default, events are sent at a frequency of 60 Hz.

--host hostname
    Send the data to the FlightGear instance running on hostname. If --host is not specified, the default is to send the data to localhost.

--broadcast
    Send flight data model and control data as broadcast packets.

--fdm-port port
    Set the port flight data model data should be sent to. By default, data is sent to port 5505.

--ctrls-port port
    Set the port control data should be sent to. By default, data is sent to port 5506.

EXIT STATUS
GPSsmooth exits with 0 on success, with -1 if the syntax of the command-line arguments is wrong or an error occurs.

SEE ALSO
fgfs(1), MIDGsmooth(1), UGsmooth(1)